# Application Status Reasons Application Status Reasons ## Gets all of the application status reasons in the system. - [GET /applicationStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/listapplicationstatusreasons.md): This method will scan all application status reasons and and return them to the caller. ## Creates a new application status reason record that does not already exist. - [POST /applicationStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/createapplicationstatusreason.md): This method will auto-generate an ID and create a new application status reason. If an ID is specified for the application status reason, an error will be thrown. ## Execute Batch Operations - [POST /applicationStatusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a application status reason from the system by its ID. - [DELETE /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/deleteapplicationstatusreason.md): This method will delete a application status reason with the specified ID. ## Returns a application status reason from the system by its ID. - [GET /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/getapplicationstatusreason.md): This method will look up a application status reason by the specified ID and return it back. ## Partially updates a application status reason with the specified ID. - [PATCH /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/patchapplicationstatusreason.md): This method will patch an existing application status reason with the specified ID, using the HTTP PATCH specification. ## Updates a application status reason with the specified ID. - [PUT /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-status-reasons/updateapplicationstatusreason.md): This method will update an existing application status reason with the specified ID.